<Type Name="DiscoveryDocumentReader" FullName="System.Web.Services.Discovery.DiscoveryDocumentReader">
  <TypeSignature Language="C#" Value="public class DiscoveryDocumentReader : System.Xml.Serialization.XmlSerializationReader" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Web.Services</AssemblyName>
    <AssemblyPublicKey></AssemblyPublicKey>
    <AssemblyVersion>1.0.5000.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement />
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Xml.Serialization.XmlSerializationReader</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="ReadTree">
      <MemberSignature Language="C#" Value="public DiscoveryDocument ReadTree ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryDocument</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Web.Services.Discovery.DiscoveryDocument" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadObject_DiscoveryDocument">
      <MemberSignature Language="C#" Value="public DiscoveryDocument ReadObject_DiscoveryDocument (bool isNullable, bool checkType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryDocument</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="isNullable" Type="System.Boolean" />
        <Parameter Name="checkType" Type="System.Boolean" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="isNullable">a <see cref="T:System.Boolean" /></param>
        <param name="checkType">a <see cref="T:System.Boolean" /></param>
        <returns>a <see cref="T:System.Web.Services.Discovery.DiscoveryDocument" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadObject_DiscoveryDocumentReference">
      <MemberSignature Language="C#" Value="public DiscoveryDocumentReference ReadObject_DiscoveryDocumentReference (bool isNullable, bool checkType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.DiscoveryDocumentReference</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="isNullable" Type="System.Boolean" />
        <Parameter Name="checkType" Type="System.Boolean" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="isNullable">a <see cref="T:System.Boolean" /></param>
        <param name="checkType">a <see cref="T:System.Boolean" /></param>
        <returns>a <see cref="T:System.Web.Services.Discovery.DiscoveryDocumentReference" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadObject_ContractReference">
      <MemberSignature Language="C#" Value="public ContractReference ReadObject_ContractReference (bool isNullable, bool checkType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.ContractReference</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="isNullable" Type="System.Boolean" />
        <Parameter Name="checkType" Type="System.Boolean" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="isNullable">a <see cref="T:System.Boolean" /></param>
        <param name="checkType">a <see cref="T:System.Boolean" /></param>
        <returns>a <see cref="T:System.Web.Services.Discovery.ContractReference" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadObject_SchemaReference">
      <MemberSignature Language="C#" Value="public SchemaReference ReadObject_SchemaReference (bool isNullable, bool checkType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Web.Services.Discovery.SchemaReference</ReturnType>
      </ReturnValue>
      <Parameters>
        <Parameter Name="isNullable" Type="System.Boolean" />
        <Parameter Name="checkType" Type="System.Boolean" />
      </Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="isNullable">a <see cref="T:System.Boolean" /></param>
        <param name="checkType">a <see cref="T:System.Boolean" /></param>
        <returns>a <see cref="T:System.Web.Services.Discovery.SchemaReference" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="InitCallbacks">
      <MemberSignature Language="C#" Value="protected override void InitCallbacks ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="InitIDs">
      <MemberSignature Language="C#" Value="protected override void InitIDs ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public DiscoveryDocumentReader ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>a <see cref="T:System.Web.Services.Discovery.DiscoveryDocumentReader" /></returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>